## org.codehaus.groovy.grails.scaffolding
Class DefaultGrailsScaffolder.AbstractAction

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Closure
              org.codehaus.groovy.grails.scaffolding.DefaultGrailsScaffolder.AbstractAction

All Implemented Interfaces:
  groovy.lang.GroovyObject, Cloneable, Runnable

Direct Known Subclasses:
  DefaultGrailsScaffolder.CreateAction, DefaultGrailsScaffolder.DeleteAction, DefaultGrailsScaffolder.EditAction, DefaultGrailsScaffolder.IndexAction, DefaultGrailsScaffolder.ListAction, DefaultGrailsScaffolder.SaveAction, DefaultGrailsScaffolder.ShowAction, DefaultGrailsScaffolder.UpdateAction

Enclosing class:
  DefaultGrailsScaffolder

    abstract static class DefaultGrailsScaffolder.AbstractAction

extends groovy.lang.Closure

Abstract base class that extends closure and retrieves the necessary arguments from the controller This is used to inject closure properties into controllers so controller actions appear as if by magic.

Field Summary
`protected groovy.lang.GroovyObject` `controller`
`protected HttpServletRequest` `request`
`protected HttpServletResponse` `response`
`protected ScaffoldRequestHandler` `scaffoldRequestHandler`
`protected ScaffoldResponseHandlerFactory` `scaffoldResponseFactory`
`protected ScaffoldResponseHandler` `scaffoldResponseHandler`

Fields inherited from class groovy.lang.Closure
`DELEGATE_FIRST, DELEGATE_ONLY, DONE, maximumNumberOfParameters, OWNER_FIRST, OWNER_ONLY, parameterTypes, SKIP, TO_SELF`

Constructor Summary
`DefaultGrailsScaffolder.AbstractAction(Object owner)`

Method Summary
`void` `setScaffoldRequestHandler(ScaffoldRequestHandler scaffoldRequestHandler)`
`void` `setScaffoldResponseHandlerFactory(ScaffoldResponseHandlerFactory factory)`

Methods inherited from class groovy.lang.Closure
`asWritable, call, call, call, clone, curry, getDelegate, getDirective, getMaximumNumberOfParameters, getOwner, getParameterTypes, getProperty, getResolveStrategy, getThisObject, isCase, run, setDelegate, setDirective, setProperty, setResolveStrategy, throwRuntimeException`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, invokeMethod, setMetaClass`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### controller

    protected groovy.lang.GroovyObject controller

### request

    protected HttpServletRequest request

### response

    protected HttpServletResponse response

### scaffoldRequestHandler

    protected ScaffoldRequestHandler scaffoldRequestHandler

### scaffoldResponseFactory

    protected ScaffoldResponseHandlerFactory scaffoldResponseFactory

### scaffoldResponseHandler

    protected ScaffoldResponseHandler scaffoldResponseHandler

Constructor Detail

### DefaultGrailsScaffolder.AbstractAction

    public DefaultGrailsScaffolder.AbstractAction(Object owner)

Method Detail

### setScaffoldRequestHandler

    public void setScaffoldRequestHandler(ScaffoldRequestHandler scaffoldRequestHandler)

  Parameters:
    `scaffoldRequestHandler` - The scaffoldRequestHandler to set.

### setScaffoldResponseHandlerFactory

    public void setScaffoldResponseHandlerFactory(ScaffoldResponseHandlerFactory factory)

Copyright (c) 2005-2006 The Grails project